NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Die.DrawBeadTaperBuilder Class Reference

Taper definition for the end of the Die Engineering Draw Bead. More...

Inheritance diagram for NXOpen.Die.DrawBeadTaperBuilder:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  TaperTypes { Spherical, Washout, Point }
 Taper types to define how the slope is created for the bead end. More...
 

Public Member Functions

unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Point TaperPoint [get, set]
 Returns or sets the point used for defining the radius value of the spherical taper. More...
 
unsafe NXOpen.Expression TaperRadius [get]
 Returns the expression containing the radius value for a spherical taper. More...
 
unsafe
NXOpen.Die.DrawBeadTaperBuilder.TaperTypes 
TaperType [get, set]
 Returns or sets the method to apply for defining the taper. More...
 
unsafe NXOpen.Expression TaperWashoutHeight [get]
 Returns the expression containing the height value for a washout taper. More...
 
unsafe NXOpen.Expression TaperWashoutLength [get]
 Returns the expression containing the length value for a washout taper. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Taper definition for the end of the Die Engineering Draw Bead.

The taper can be defined at the start, end, or both ends of the draw bead and smoothly transition the bead back into the sheet body.

Created in NX7.5.0

Member Enumeration Documentation

Taper types to define how the slope is created for the bead end.

Enumerator
Spherical 

Create a spherical end based on a radius.

Washout 

Create a slope based on the height and length desired.

Point 

Use the spherical method, but the radius is defined by a point location and distance to the end of the centerline.

Member Function Documentation

unsafe bool NXOpen.Die.DrawBeadTaperBuilder.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe NXOpen.Point NXOpen.Die.DrawBeadTaperBuilder.TaperPoint
getset

Returns or sets the point used for defining the radius value of the spherical taper.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Die.DrawBeadTaperBuilder.TaperRadius
get

Returns the expression containing the radius value for a spherical taper.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Die.DrawBeadTaperBuilder.TaperTypes NXOpen.Die.DrawBeadTaperBuilder.TaperType
getset

Returns or sets the method to apply for defining the taper.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Die.DrawBeadTaperBuilder.TaperWashoutHeight
get

Returns the expression containing the height value for a washout taper.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.DrawBeadTaperBuilder.TaperWashoutLength
get

Returns the expression containing the length value for a washout taper.

Created in NX7.5.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.